Update document overrides for a client
Updates client-specific notes for one or more document types. These override business defaults.
X-Api-Key<token>
Business API key, e.g. vuz_ab12cdef... Created via Settings → Integrations → API Keys. Unlike partner keys, a public API key's STRING does not encode its environment — isolation instead comes from a completely separate sandbox database: a key minted on the Sandbox server (above) only ever reads/writes sandbox data and can never see or affect production, regardless of what the key looks like.
In: header
Path Parameters
id*string
Client unique identifier (UUID)
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/clients/string/document-overrides" \ -H "Content-Type: application/json" \ -d '{}'{ "quote": { "notes": "שלום {{clientName}},\nתודה על ההזמנה!\nסה\"כ לתשלום: {{total}}", "internalNotes": "לקוח VIP - לתת עדיפות" }, "tax_invoice": { "notes": "שלום {{clientName}},\nתודה על ההזמנה!\nסה\"כ לתשלום: {{total}}", "internalNotes": "לקוח VIP - לתת עדיפות" }, "tax_invoice_receipt": { "notes": "שלום {{clientName}},\nתודה על ההזמנה!\nסה\"כ לתשלום: {{total}}", "internalNotes": "לקוח VIP - לתת עדיפות" }, "receipt": { "notes": "שלום {{clientName}},\nתודה על ההזמנה!\nסה\"כ לתשלום: {{total}}", "internalNotes": "לקוח VIP - לתת עדיפות" }, "credit_note": { "notes": "שלום {{clientName}},\nתודה על ההזמנה!\nסה\"כ לתשלום: {{total}}", "internalNotes": "לקוח VIP - לתת עדיפות" }, "delivery_note": { "notes": "שלום {{clientName}},\nתודה על ההזמנה!\nסה\"כ לתשלום: {{total}}", "internalNotes": "לקוח VIP - לתת עדיפות" }, "deal_bill": { "notes": "שלום {{clientName}},\nתודה על ההזמנה!\nסה\"כ לתשלום: {{total}}", "internalNotes": "לקוח VIP - לתת עדיפות" }, "order": { "notes": "שלום {{clientName}},\nתודה על ההזמנה!\nסה\"כ לתשלום: {{total}}", "internalNotes": "לקוח VIP - לתת עדיפות" }}
